import rclpy
from rclpy.node import Node
from std_msgs.msg import Empty
from behavior_interface.msg import BehaviorStatus

class StopAndLand(Node):
    def __init__(self):
        super().__init__('StopAndLand')
        self.stop_and_land_publisher = self.create_publisher(Empty, '/bebop/land', 10)
        self.status_publisher = self.create_publisher(BehaviorStatus, 'behaviors_status', 10)

    def publish_stop_and_land(self):
        stop_and_land_msg = Empty()
        self.stop_and_land_publisher.publish(stop_and_land_msg)
        self.get_logger().info("StopAndLand command published")
        self.publish_behavior_status(True)  

    def publish_behavior_status(self, active):
        status_msg = BehaviorStatus()
        status_msg.name = 'StopAndLand'
        status_msg.status = active
        self.status_publisher.publish(status_msg)

def main(args=None):
    rclpy.init(args=args)
    stop_and_land_behavior = StopAndLand()
    rclpy.spin(stop_and_land_behavior)
    stop_and_land_behavior.destroy_node()
    rclpy.shutdown()

if __name__ == '__main__':
    main()
