import rclpy
from .base_behavior import BaseBehavior
from std_msgs.msg import Empty
from behavior_interface.msg import BehaviorStatus

class Takeoff(BaseBehavior):
    def __init__(self):
        super().__init__('TakeOff')

        self.takeoff_publisher = self.create_publisher(Empty, '/bebop/takeoff', 10)
        
    def on_status(self):
        if self.status:  
            takeoff_msg = Empty()
            self.takeoff_publisher.publish(takeoff_msg)
            self.get_logger().info("Takeoff command published")
        self.publish_behavior_status()

    def publish_behavior_status(self):

        status_msg = BehaviorStatus()
        status_msg.name = self.name
        status_msg.status = self.status
        self.status_publisher.publish(status_msg)

def main(args=None):
    rclpy.init(args=args)
    takeoff_behavior = Takeoff()
    rclpy.spin(takeoff_behavior)
    takeoff_behavior.destroy_node()
    rclpy.shutdown()

if __name__ == '__main__':
    main()
