from .base_behavior import BaseBehavior

class AutoOffBehavior(BaseBehavior):
    def __init__(self, name, off_duration=2.0):
        super().__init__(name)
        self.off_duration = off_duration  
        self.off_timer = None  

    def on_status(self):
        if self.status:
            self.get_logger().info(f"{self.name} is now active.")
            self.request_off()
        else:
            self.get_logger().info(f"{self.name} is now inactive.")
        self.publish_status()

    def request_off(self):
        if self.off_timer:
            self.off_timer.cancel()
        if self.status:
            self.off_timer = self.create_timer(self.off_duration, self.turn_off)

    def turn_off(self):
        self.status = False
        self.get_logger().info(f"{self.name} deactivated automatically after {self.off_duration} seconds.")
        if self.off_timer:
            self.off_timer.cancel()
            self.off_timer = None
        self.publish_status()
