from setuptools import find_packages, setup

package_name = 'behavior'

setup(
    name=package_name,
    version='0.0.0',
    packages=find_packages(),
    data_files=[
        ('share/ament_index/resource_index/packages',
            ['resource/' + package_name]),
        ('share/' + package_name, ['package.xml']),
        ('share/' + package_name + '/launch', ['launch/behavior_launch.xml']),
        ('share/' + package_name + '/launch', ['launch/vp_behavior.xml']),
    ],
    install_requires=['setuptools'],
    zip_safe=True,
    maintainer='zw',
    maintainer_email='zhihui.wang@student-cs.fr',
    description='Package for behavior control of drones using ROS2',
    license='Apache License 2.0',
    tests_require=['pytest'],
    entry_points={
        'console_scripts': [
            'twisttopic_node = low_level.twisttopic_node:main',
            'base_behavior = behavior.base_behavior:main',
            'fake_hover = behavior.fake_hover:main',
            'fake_forward = behavior.fake_forward:main',
            'status_viewer = behavior.status_viewer:main',
            'joy_teleop = behavior.joy_teleop:main',
            'command_node = behavior.command:main' ,
            'TakeOff = behavior.TakeOff:main',
            'StopAndLand = behavior.StopAndLand:main',
            'MoveRight = behavior.MoveRight:main',
            'MoveLeft = behavior.MoveLeft:main',
            'MoveForward = behavior.MoveForward:main',
            'Hover = behavior.Hover:main',
            'MoveUp = behavior.MoveUp:main',
            'MoveDown = behavior.MoveDown:main',
            'AlignCorridor = behavior.AlignCorridor:main',
            'CenterCorridor = behavior.CenterCorridor:main',
            'MoveForwardVp = behavior.MoveForwardVp:main',
            'TurnLeft = behavior.TurnLeft:main',
            'TurnRight = behavior.TurnRight:main'
        ],
    },
)

