from launch import LaunchDescription
from launch_ros.actions import Node

def generate_launch_description():
    return LaunchDescription([
        # Launch joy_node to receive joystick input
        Node(
            package='joy',
            executable='joy_node',
            name='joy_node'
        ),
        # Launch twist2pic node
        Node(
            package='low_level',
            executable='twisttopic_node',
            name='twisttopic_node'
        ),
        # Launch viewer_node to view images directly
        Node(
            package='low_level',
            executable='viewer_node',
            name='viewer_node'
        ),
        # Launch joy_teleop node
        Node(
            package='low_level',
            executable='joy_teleop',
            name='joy_teleop'
        ),
        # Launch speed_controller node
        Node(
            package='low_level',
            executable='speed_controller',
            name='speed_controller'
        ),
        # U-Turn
        Node(
            package='low_level',
            executable='u_turn_slide',
            name='u_turn',
            parameters=[{
                'u_turn.angular_velocity': 1.0,
                'u_turn.duration': 3.0
            }]
        ),
        # Launch slide node
        Node(
            package='low_level',
            executable='slide',
            name='slide'
        )
    ])
