import sympy
from sympy.algebras.quaternion import Quaternion
from sympy import symbols
from sympy import conjugate

qx = symbols('qx')
qy = symbols('qy')
qz = symbols('qz')
qw = symbols('qw')

q1 = Quaternion(qw, qx, qy, qz, real_field=True)

# This is the vector pointing forward the robot
v = Quaternion(0, 1, 0, 0)


res = q1 * v * conjugate(q1)
print("Rotated vector : {}".format(res))

horizontal_res = Quaternion(res.a, res.b, res.c, 0.0).normalize()
print("Horizontal vector : {}".format(horizontal_res.simplify()))
