# We are supposed to be given an axis defined by a point and a vector
# whose coordinates are given in the odom frame
# axis['point'] : (x,y,z) coordinates of a point of the axis
# axis['vector'] : (dx, dy, dz) coordinates of a vector along the axis

from visualization_msgs.msg import Marker
from geometry_msgs.msg import Point
from builtin_interfaces.msg import Duration

pub_axis = self.create_publisher(Marker, "/slide_axis", qos_profile=1)

marker = Marker()
marker.header.frame_id = "odom" # Do not use / in frame names !
marker.type = marker.LINE_STRIP
marker.lifetime = rospy.Duration(secs=1000)

# marker scale
marker.scale.x = 0.03
marker.scale.y = 0.03
marker.scale.z = 0.03

# marker color
marker.color.a = 1.0
marker.color.r = 1.0
marker.color.g = 1.0
marker.color.b = 0.0

# marker orientaiton
marker.pose.orientation.x = 0.0
marker.pose.orientation.y = 0.0
marker.pose.orientation.z = 0.0
marker.pose.orientation.w = 1.0

# marker position
marker.pose.position.x = 0.0
marker.pose.position.y = 0.0
marker.pose.position.z = 0.0

# marker line points
marker.points = []
point = Point()
point.x = axis['point'][0] - 10 * axis['vector'][0]
point.y = axis['point'][1] - 10 * axis['vector'][1]
point.z = axis['point'][2] - 10 * axis['vector'][2]
marker.points.append(point)

point = Point()
point.x = axis['point'][0] + 10 * axis['vector'][0]
point.y = axis['point'][1] + 10 * axis['vector'][1]
point.z = axis['point'][2] + 10 * axis['vector'][2]

marker.points.append(point)

pub_axis.publish(marker)