from setuptools import find_packages, setup
import os
from glob import glob

package_name = 'low_level'

setup(
    name=package_name,
    version='0.0.0',
    packages=find_packages(exclude=['test']),
    data_files=[
        ('share/ament_index/resource_index/packages',
            ['resource/' + package_name]),
        ('share/' + package_name, ['package.xml']),
        (os.path.join('share', package_name, 'launch'), glob('launch/*.py')),
    ],
    install_requires=['setuptools'],
    zip_safe=True,
    maintainer='zy',
    maintainer_email='zijin.yan@student-cs.fr',
    description='Low-level control package for drone',
    license='License declaration',
    tests_require=['pytest'],
    entry_points={
        'console_scripts': [
            'twisttopic_node = low_level.twisttopic_node:main',
            'viewer_node = low_level.viewer_node:main',
            'joy_teleop = low_level.joy_teleop:main',
            'speed_controller = low_level.speed_controller:main',
            'u_turn_slide = low_level.u_turn_slide:main',
            'slide = low_level.slide:main'
        ],
    },
)
