from setuptools import find_packages, setup
from glob import glob
import os

package_name = 'vanishing_point'

node_scripts = [
    'my_line_library = vanishing_point.my_line_library:main',
    'vp_node = vanishing_point.vp_node:main',
    'republish = vanishing_point.republish:main',
    'optical_flow_node = vanishing_point.optical_flow_node:main'  # 新增 optical_flow_node
]

setup(
    name=package_name,
    version='0.0.0',
    packages=find_packages(exclude=['test']),
    data_files=[
        ('share/ament_index/resource_index/packages',
            ['resource/' + package_name]),
        ('share/' + package_name, ['package.xml']),
        ('share/' + package_name + '/launch', glob('launch/*.xml')),
    ],
    install_requires=['setuptools'],
    zip_safe=True,
    maintainer='zy',
    maintainer_email='zy@todo.todo',
    description='Optical flow and vanishing point detection package for ROS 2',
    license='TODO: License declaration',
    tests_require=['pytest'],
    entry_points={
        'console_scripts': node_scripts
    },
)
