import rclpy
from cv_bridge import CvBridge
from rclpy.node import Node
from sensor_msgs.msg import Image, CompressedImage


class Republish(Node):
    def __init__(self):
        super().__init__("republish")
        self.bridge = CvBridge()

        self.img_pub = self.create_publisher(CompressedImage, "out", 1)
        self.img_sub = self.create_subscription(Image, "in", self.on_image, 1)

    def on_image(self, msg):
        frame = self.bridge.imgmsg_to_cv2(msg, "bgr8")
        self.img_pub.publish(self.bridge.cv2_to_compressed_imgmsg(frame))


def main(args=None):
    rclpy.init(args=args)

    republish_node = Republish()
    rclpy.spin(republish_node)

    republish_node.destroy_node()
    rclpy.shutdown()


if __name__ == "__main__":
    main()